# Run Optimiyation Problems from pandapower


Now, by using PandaModels, [pandapower](https://github.com/e2nIEE/pandapower) has an interface to [PowerModels.jl](https://lanl-ansi.github.io/PowerModels.jl/stable/), also pandapower's users has access to some extra optimization models, e.g. some reactive power optimization models are callable directly in [pandapower](https://github.com/e2nIEE/pandapower).

The tutorial for the application of each optimization model is available in [pandapower](https://github.com/e2nIEE/pandapower) repository:

Functions from PowerModels:

* [Power Flow](https://github.com/e2nIEE/pandapower/blob/develop/tutorials/pf_powermodels%20.ipynb)
* [Optimal Power Flow](https://github.com/e2nIEE/pandapower/blob/develop/tutorials/opf_powermodels.ipynb)
* [Optimal Transmission Switching](https://github.com/e2nIEE/pandapower/blob/develop/tutorials/ost_powermodels.ipynb)
* [Transmission Network Expansion Planning](https://github.com/e2nIEE/pandapower/blob/develop/tutorials/tnep_powermodels.ipynb)
* [Storage Optimization](https://github.com/e2nIEE/pandapower/blob/develop/tutorials/pandamodels_storage.ipynb)

Functions from PandaModels:
* [Reactive Power Optimization - maintaining voltage setpoints](https://github.com/e2nIEE/pandapower/blob/develop/tutorials/pandamodels_reactive%20power%20optimization.ipynb)
* [Reactive Power Optimization - maintaining reactive power setpoints](https://github.com/e2nIEE/pandapower/blob/develop/tutorials/pandamodels_reactive%20power%20optimization.ipynb)
* [Reactive Power Optimization - active power loss reduction](https://github.com/e2nIEE/pandapower/blob/develop/tutorials/pandamodels_reactive%20power%20optimization.ipynb)
* [Reactive Power Optimization - branch loading reduction](https://github.com/e2nIEE/pandapower/blob/develop/tutorials/pandamodels_reactive%20power%20optimization.ipynb)
